#include <unistd.h>
#include <locale.h>

#include "Reduce.h"
#include "Errors.h"

int main(int argc, char *argv[])
{
    (void)argc;
    (void)argv;

    setlocale(LC_ALL, "");

    /*
     * En esta versión, la entrada estándar del reducer estará conectada
     * a una pipe procedente de Suffle y la salida estándar estará redirigida
     * al fichero final común.
     */
    reduce_process_file(STDIN_FILENO, STDOUT_FILENO);

    return 0;
}
